## kactivities-stats 5.28.0

=== CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

cmake_minimum_required (VERSION 2.8.11)

project (KActivitiesStats)

set (REQUIRED_QT_VERSION 5.3.0)

# We don't build in-source
if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message (
      FATAL_ERROR
      "kactivities-stats require an out of source build. Please create a separate build directory and run 'cmake path_to_kactivities-stats [options]' there."
   )
endif ()

set (KASTATS_CURRENT_ROOT_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})

# Extra CMake stuff
include (FeatureSummary)
find_package (ECM 5.28.0  NO_MODULE)
set_package_properties (ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary (WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include (KDEInstallDirs)
include (KDECMakeSettings)
include (KDECompilerSettings NO_POLICY_SCOPE)
include (GenerateExportHeader)
include (ECMGenerateHeaders)

# Qt
set (CMAKE_AUTOMOC ON)
find_package (Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED COMPONENTS Core DBus Sql)

# KDE Frameworks
set(KF5_VERSION "5.28.0") # handled by release scripts
set(KF5_DEP_VERSION "5.28.0") # handled by release scripts
# find_package (KF5DBusAddons ${KF5_DEP_VERSION} CONFIG REQUIRED)
# find_package (KF5I18n ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5Config ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5Activities ${KF5_DEP_VERSION} CONFIG REQUIRED)

find_package (Boost 1.49 REQUIRED)

# Basic includes
include (CPack)

include (ECMPackageConfigHelpers)
include (ECMSetupVersion)


# Adding local CMake modules
set (
   CMAKE_MODULE_PATH
   ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
   ${CMAKE_MODULE_PATH}
   )

# add_definitions (-DTRANSLATION_DOMAIN=\"kactivitiesstats5\")
# if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
#     ki18n_install (po)
# endif ()

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
   set(CMAKE_CXX_VISIBILITY_PRESET default)
   set(CMAKE_VISIBILITY_INLINES_HIDDEN 0)
endif ()

# libKActivitiesStats

ecm_setup_version (
   ${KF5_VERSION}
   VARIABLE_PREFIX KACTIVITIESSTATS
   VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kactivitiesstats_version.h"
   PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesStatsConfigVersion.cmake"
   SOVERSION 1
   )

set (CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5ActivitiesStats")

install (
   EXPORT KF5ActivitiesStatsLibraryTargets
   DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
   FILE KF5ActivitiesStatsLibraryTargets.cmake
   NAMESPACE KF5::
   )

ecm_configure_package_config_file (
   "${CMAKE_CURRENT_SOURCE_DIR}/KF5ActivitiesStatsConfig.cmake.in"
   "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesStatsConfig.cmake"
   INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
   PATH_VARS  KF5_INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
   )

install (
   FILES "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesStatsConfig.cmake"
         "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesStatsConfigVersion.cmake"
   DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
   COMPONENT Devel
   )

install (
   FILES ${CMAKE_CURRENT_BINARY_DIR}/kactivitiesstats_version.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
   )

add_subdirectory (src)
if(BUILD_TESTING)
  add_subdirectory (autotests)
  add_subdirectory (tests)
endif (BUILD_TESTING)

# Write out the features
feature_summary (WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kactivities-stats 5.26.0

=== debian/changelog ===
kactivities-stats (5.26.0-0ubuntu1) yakkety; urgency=medium

  * Fix paragraph header indentation in copyright
  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:40:46 +0100

kactivities-stats (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:37:03 +0000

kactivities-stats (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:07:22 +0200

kactivities-stats (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release, xenial backport.
  * adjust depend in hopes build can find it. 
  * Merge in backport. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 12:34:15 -0700

kactivities-stats (5.21.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release.
  * Debian merge: No remaining changes. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 25 Apr 2016 14:55:43 -0700

kactivities-stats (5.21.0-2~~1.gbpc5f84c) UNRELEASED; urgency=medium

  ** SNAPSHOT build @c5f84c20fe6b9e4d9974313d8bcd9ce5e9977ed4 **

  [ Jonathan Riddell ]
  * Initial package

  [ Maximiliano Curia ]
  * Change library soversion
  * debian/copyright fixing some of the wrongly tweaked parts
  * Update the symbols file

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Mon, 11 Apr 2016 23:11:19 +0200

=== debian/control ===
Source: kactivities-stats
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.11~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.26.0~),
               libboost-dev (>= 1.49~),
               libkf5activities-dev (>= 5.26.0~),
               libkf5config-dev (>= 5.26.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.3.0~),
               qtdeclarative5-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/kactivities-stats
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities-stats
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities-stats

Package: libkf5activitiesstats-dev
Section: libdevel
Architecture: any
Depends: libkf5activitiesstats1 (= ${binary:Version}),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: development files for kactivities-stats.
 A library for accessing the usage data collected by the activities system.
 .
 Contains development files for kactivities-stats.

Package: libkf5activitiesstats1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 Contains development files for kactivities-stats.

## kactivities-stats 5.28.0

=== debian/changelog ===
kactivities-stats (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:07:23 +0100

kactivities-stats (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:08:59 +0200

kactivities-stats (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 12:03:12 +0200

kactivities-stats (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sat, 20 Aug 2016 16:50:39 +0200

kactivities-stats (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files with the buildds results

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Jun 2016 16:24:21 +0200

kactivities-stats (5.22.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 16:41:03 +0200

kactivities-stats (5.22.0-1) experimental; urgency=medium

  [ Jonathan Riddell ]
  * Initial package

  [ Maximiliano Curia ]
  * Change library soversion
  * debian/copyright fixing some of the wrongly tweaked parts
  * Update the symbols file
  * acc test: Use C++11
  * Add a human maintainer

  [ Mark headers hook ]
  * Mark private headers

  [ Automatic packaging ]
  * Revert the mark private symbols
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake

  [ Harald Sitter ]
  * fix copyright syntax

 -- Maximiliano Curia <maxy@debian.org>  Fri, 27 May 2016 11:03:11 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.11~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.26.0~),
+               extra-cmake-modules (>= 5.28.0~),
                libboost-dev (>= 1.49~),
-               libkf5activities-dev (>= 5.26.0~),
-               libkf5config-dev (>= 5.26.0~),
+               libkf5activities-dev (>= 5.28.0~),
+               libkf5config-dev (>= 5.28.0~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.3.0~),
                qtdeclarative5-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/kactivities-stats
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities-stats
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities-stats
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kactivities-stats.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kactivities-stats.git
 
 Package: libkf5activitiesstats-dev
 Section: libdevel

## kactivities-stats 5.31.0

=== debian/changelog ===
kactivities-stats (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:51:03 +0000

kactivities-stats (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:34:46 +0000

kactivities-stats (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)
  * Update symbols files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:16:50 +0000

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,23 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.11~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.28.0~),
+               extra-cmake-modules (>= 5.31.0~),
                libboost-dev (>= 1.49~),
-               libkf5activities-dev (>= 5.28.0~),
-               libkf5config-dev (>= 5.28.0~),
+               libkf5activities-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.3.0~),
-               qtdeclarative5-dev
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/kactivities-stats
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kactivities-stats.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kactivities-stats.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities-stats
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities-stats
 
 Package: libkf5activitiesstats-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libkf5activitiesstats1 (= ${binary:Version}),
-         qtbase5-dev (>= 5.4),
+         qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
 Description: development files for kactivities-stats.
  A library for accessing the usage data collected by the activities system.

## kactivities-stats 5.38.0

=== debian/changelog ===
kactivities-stats (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:13:55 +0100

kactivities-stats (5.37.0-0ubuntu1) artful; urgency=medium

  * New upstream release (5.37.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:48:07 +0100

kactivities-stats (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:52:59 +0100

kactivities-stats (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:58:04 +0100

kactivities-stats (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:25:59 +0100

kactivities-stats (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:05:15 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.11~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
                libboost-dev (>= 1.49~),
-               libkf5activities-dev (>= 5.31.0~),
-               libkf5config-dev (>= 5.31.0~),
+               libkf5activities-dev (>= 5.38.0~),
+               libkf5config-dev (>= 5.38.0~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~)

## kactivities-stats 5.44.0

=== debian/changelog ===
kactivities-stats (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:56:05 +0000

kactivities-stats (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:13:50 +0000

kactivities-stats (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:19:49 +0000

kactivities-stats (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:02:52 -0600

kactivities-stats (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:14:59 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.11~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.38.0~),
+               extra-cmake-modules (>= 5.44.0~),
                libboost-dev (>= 1.49~),
-               libkf5activities-dev (>= 5.38.0~),
-               libkf5config-dev (>= 5.38.0~),
+               libkf5activities-dev (>= 5.44.0~),
+               libkf5config-dev (>= 5.44.0~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~)

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]+)/kactivities-stats-([\d.]+)\.tar\.xz

## kactivities-stats 5.50.0

=== debian/changelog ===
kactivities-stats (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:11:32 +0100

kactivities-stats (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:28:53 +0100

kactivities-stats (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)
  [ José Manuel Santamaría Lema ]
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:47:37 +0100

kactivities-stats (5.46.0-1) unstable; urgency=medium

  * Update symbols files
  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:14:23 +0200

kactivities-stats (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:54:50 +0100

kactivities-stats (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:09:58 +0200

kactivities-stats (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:19 +0100

kactivities-stats (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:43:01 +0100

kactivities-stats (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:28 +0100

kactivities-stats (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:04:33 +0100

kactivities-stats (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.41.0).
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:42:02 -0300

kactivities-stats (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:43:02 +0000

kactivities-stats (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 12:56:08 +0000

kactivities-stats (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:39:21 +0000

kactivities-stats (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:27:56 +0000

kactivities-stats (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:57:31 +0200

kactivities-stats (5.37.0-1) experimental; urgency=medium

  * Build the qch files
  * Add libkf5activitiesstats-doc package for the qch files
  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols file
  * Bump Standards-Version to 4.0.1.
  * wrap-and-sort
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:43:58 +0200

kactivities-stats (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:11:51 +0000

kactivities-stats (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Update build-deps and deps with the info from cmake

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:42:46 +0200

kactivities-stats (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 17:10:18 +0000

kactivities-stats (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:30:32 +0000

kactivities-stats (5.34.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 May 2017 17:34:08 +0000

kactivities-stats (5.33.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Apr 2017 16:21:27 +0000

kactivities-stats (5.32.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Mar 2017 13:20:53 +0000

kactivities-stats (5.31.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Feb 2017 14:33:57 +0000

kactivities-stats (5.30.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2017 13:38:04 +0000

kactivities-stats (5.29.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Dec 2016 19:06:23 +0000

kactivities-stats (5.28.0-0neon) xenial; urgency=medium



=== debian/control ===
Source: kactivities-stats
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.50.0~),
               graphviz,
               libboost-dev (>= 1.49~),
               libkf5activities-dev (>= 5.50.0~),
               libkf5config-dev (>= 5.50.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools,
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev-tools,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kactivities-stats
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities-stats
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities-stats

Package: libkf5activitiesstats-dev
Architecture: any
Section: libdevel
Depends: libkf5activitiesstats1 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Recommends: libkf5activitiesstats-doc (= ${source:Version})
Description: development files for kactivities-stats.
 A library for accessing the usage data collected by the activities system.
 .
 Contains development files for kactivities-stats.

Package: libkf5activitiesstats-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 This package contains the qch documentation files.

Package: libkf5activitiesstats1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libkf5activitiesstats5
Replaces: libkf5activitiesstats5
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 Contains development files for kactivities-stats.

## kactivities-stats 5.54.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,12 @@
 # vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
 
-cmake_minimum_required (VERSION 2.8.11)
+cmake_minimum_required(VERSION 3.5)
 
-project (KActivitiesStats)
+set(KF5_VERSION "5.54.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.54.0") # handled by release scripts
+project (KActivitiesStats VERSION ${KF5_VERSION})
 
-set (REQUIRED_QT_VERSION 5.3.0)
+set (REQUIRED_QT_VERSION 5.9.0)
 
 # We don't build in-source
 if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
@@ -18,7 +20,7 @@
 
 # Extra CMake stuff
 include (FeatureSummary)
-find_package (ECM 5.28.0  NO_MODULE)
+find_package (ECM 5.54.0  NO_MODULE)
 set_package_properties (ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary (WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -26,17 +28,19 @@
 
 include (KDEInstallDirs)
 include (KDECMakeSettings)
-include (KDECompilerSettings NO_POLICY_SCOPE)
+include (KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include (GenerateExportHeader)
 include (ECMGenerateHeaders)
+include (ECMAddQch)
+
+option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
+add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 # Qt
 set (CMAKE_AUTOMOC ON)
 find_package (Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED COMPONENTS Core DBus Sql)
 
 # KDE Frameworks
-set(KF5_VERSION "5.28.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.28.0") # handled by release scripts
 # find_package (KF5DBusAddons ${KF5_DEP_VERSION} CONFIG REQUIRED)
 # find_package (KF5I18n ${KF5_DEP_VERSION} CONFIG REQUIRED)
 find_package (KF5Config ${KF5_DEP_VERSION} CONFIG REQUIRED)
@@ -47,7 +51,7 @@
 # Basic includes
 include (CPack)
 
-include (ECMPackageConfigHelpers)
+include (CMakePackageConfigHelpers)
 include (ECMSetupVersion)
 
 
@@ -71,14 +75,30 @@
 # libKActivitiesStats
 
 ecm_setup_version (
-   ${KF5_VERSION}
+   PROJECT
    VARIABLE_PREFIX KACTIVITIESSTATS
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kactivitiesstats_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesStatsConfigVersion.cmake"
    SOVERSION 1
    )
 
+add_subdirectory (src)
+if(BUILD_TESTING)
+  add_subdirectory (autotests)
+  add_subdirectory (tests)
+endif (BUILD_TESTING)
+
 set (CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5ActivitiesStats")
+
+if (BUILD_QCH)
+    ecm_install_qch_export(
+        TARGETS KF5ActivitiesStats_QCH
+        FILE KF5ActivitiesStatsLibraryQchTargets.cmake
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+        COMPONENT Devel
+    )
+    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5ActivitiesStatsLibraryQchTargets.cmake\")")
+endif()
 
 install (
    EXPORT KF5ActivitiesStatsLibraryTargets
@@ -87,7 +107,7 @@
    NAMESPACE KF5::
    )
 
-ecm_configure_package_config_file (
+configure_package_config_file (
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5ActivitiesStatsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesStatsConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
@@ -106,12 +126,6 @@
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
    )
 
-add_subdirectory (src)
-if(BUILD_TESTING)
-  add_subdirectory (autotests)
-  add_subdirectory (tests)
-endif (BUILD_TESTING)
-
 # Write out the features
 feature_summary (WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kactivities-stats (5.54.0-1+rb1) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 19 Jan 2021 14:16:13 +0800

kactivities-stats (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:20 -0300

kactivities-stats (5.51.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files, also from the logs of buildds. (Closes: #916152)
  * Remove unused (and wrong) 'testsuite' autopkgtest.
  * Remove unused ${shlibs:Depends} from libkf5activitiesstats-doc.

 -- Pino Toscano <pino@debian.org>  Wed, 26 Dec 2018 13:02:35 +0100

kactivities-stats (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:23 +0100

kactivities-stats (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:18:03 +0200

kactivities-stats (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:08:04 +0200

=== debian/control ===
Source: kactivities-stats
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.54.0~),
               graphviz,
               libboost-dev (>= 1.49~),
               libkf5activities-dev (>= 5.54.0~),
               libkf5config-dev (>= 5.54.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools,
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev,
               qttools5-dev-tools,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kactivities-stats
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats.git

Package: libkf5activitiesstats-dev
Section: libdevel
Architecture: any
Depends: libkf5activitiesstats1 (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
Recommends: libkf5activitiesstats-doc (= ${source:Version})
Description: development files for kactivities-stats.
 A library for accessing the usage data collected by the activities system.
 .
 Contains development files for kactivities-stats.

Package: libkf5activitiesstats-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5activitiesstats1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libkf5activitiesstats5
Replaces: libkf5activitiesstats5
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 Contains development files for kactivities-stats.

## kactivities-stats 5.56.0

=== debian/changelog ===
kactivities-stats (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:34:16 +0000

kactivities-stats (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:29:18 +0000

kactivities-stats (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:33:33 +0000

kactivities-stats (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:47:25 +0000

kactivities-stats (5.52.0-0ubuntu2) disco; urgency=medium

  * Update symbols from build logs, marking 2 optional.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 24 Nov 2018 13:35:41 +0000

kactivities-stats (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:41:01 +0000

=== debian/control ===
Source: kactivities-stats
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.56.0~),
               graphviz,
               libboost-dev (>= 1.49~),
               libkf5activities-dev (>= 5.56.0~),
               libkf5config-dev (>= 5.56.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools,
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev-tools,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kactivities-stats
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities-stats
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities-stats

Package: libkf5activitiesstats-dev
Architecture: any
Section: libdevel
Depends: libkf5activitiesstats1 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Recommends: libkf5activitiesstats-doc (= ${source:Version})
Description: development files for kactivities-stats.
 A library for accessing the usage data collected by the activities system.
 .
 Contains development files for kactivities-stats.

Package: libkf5activitiesstats-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 This package contains the qch documentation files.

Package: libkf5activitiesstats1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libkf5activitiesstats5
Replaces: libkf5activitiesstats5
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 Contains development files for kactivities-stats.

## kactivities-stats 5.62.0

=== debian/changelog ===
kactivities-stats (5.62.0-1) unstable; urgency=medium

  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols file
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:12:51 -0700

kactivities-stats (5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Build-Depend on qttools5-dev to fix a cross build failure
    (see #915122 for more info).

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols file
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:09 +0100

=== debian/control ===
Source: kactivities-stats
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.62.0~),
               graphviz,
               libboost-dev (>= 1.49~),
               libkf5activities-dev (>= 5.62.0~),
               libkf5config-dev (>= 5.62.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools,
               qtbase5-dev (>= 5.11.0~),
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kactivities-stats
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats.git

Package: libkf5activitiesstats-dev
Section: libdevel
Architecture: any
Depends: libkf5activitiesstats1 (= ${binary:Version}),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends},
Recommends: libkf5activitiesstats-doc (= ${source:Version})
Description: development files for kactivities-stats.
 A library for accessing the usage data collected by the activities system.
 .
 Contains development files for kactivities-stats.

Package: libkf5activitiesstats-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5activitiesstats1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libkf5activitiesstats5
Replaces: libkf5activitiesstats5
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 Contains development files for kactivities-stats.
